/**
 * @File
 * Javascript for the Admin Feedback module.
 */

(function ($, Drupal, drupalSettings) {
  $( document ).ready(function() {
    $(".feedback-btn").click(function (event) {
      var yesResponse = drupalSettings.admin_feedback.yes_response;
      var noResponse = drupalSettings.admin_feedback.no_response;
      var feedbackPrompt = drupalSettings.admin_feedback.feedback_prompt;
      var nodeId = $(this).data('node-id');
      var feedback = $(this).data('feedback');
      var langCode = drupalSettings.path.currentLanguage;

      $('#edit-feedback-msg').val('');
      $('#edit-feedback-send').prop('disabled', true);
      $('#edit-feedback-msg').keyup(function () {
        if ($(this).val() != '') {
          $('#edit-feedback-send').prop('disabled', false);
          $('#edit-feedback-send').css('cursor', 'pointer');
        } else if ($(this).val() == '') {
          $('#edit-feedback-send').prop('disabled', true);
          $('#edit-feedback-send').css('cursor', 'not-allowed');
        }
      });
      $('#admin-feedback-form').css('display', 'block');

      if (feedback == 'yes') {
        $('#upper-feedback-content').replaceWith('<h2>' + yesResponse + '</h2><p>' + feedbackPrompt + '</p>');
      } else if (feedback == 'no') {
        $('#upper-feedback-content').replaceWith('<h2>' + noResponse + '</h2><p>' + feedbackPrompt + '</p>');
      }

      var langPrefix = drupalSettings.path.pathPrefix === drupalSettings.path.currentLanguage + '/'
        ? '/' + drupalSettings.path.currentLanguage
        : '';

      $.ajax({
        type: "POST",
        url: langPrefix  + "/feedback_vote",
        data: {"vote": feedback, "node_id": nodeId},
        success: function (data) {
          $('#feedback-id').val(data[0]);
        },
      });
    });
  });
})(jQuery, Drupal, drupalSettings);
